Bug 62422 - [patch] devel/p5-Module-Build should use PERL_MODBUILD but can't
Summary: [patch] devel/p5-Module-Build should use PERL_MODBUILD but can't
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Port Management Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-02-06 12:30 UTC by Mathieu Arnold
Modified: 2004-04-02 08:35 UTC (History)
1 user (show)

See Also:


Attachments
m-b.diff (553 bytes, patch)
2004-02-06 12:30 UTC, Mathieu Arnold
no flags Details | Diff
m-b.diff (649 bytes, patch)
2004-02-06 13:06 UTC, Mathieu Arnold
no flags Details | Diff
file.dat (230 bytes, text/plain; charset=us-ascii)
2004-02-06 13:06 UTC, Mathieu Arnold
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mathieu Arnold freebsd_committer 2004-02-06 12:30:10 UTC
devel/p5-Module-Build use itself to build, and needs to use PERL_MODBUILD to
build, but it can't because using PERL_MODBUILD always adds
devel/p5-Module-Build to the dependency list.

The other way is to dupplicate the code enabled by PERL_MODBUILD in
devel/p5-Module-Build Makefile

Fix: This tests if it's building devel/p5-Module-Build, and if it is, does not add
the dependency.
Comment 1 Mathieu Arnold freebsd_committer 2004-02-06 12:35:42 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

portmgr territory
Comment 2 Mathieu Arnold freebsd_committer 2004-02-06 13:06:13 UTC
Attached is another needed patch, as there is no Makefile created by
Build.PL, there is no need to try to edit it.

-- 
Mathieu Arnold
Comment 3 Kris Kennaway freebsd_committer 2004-03-21 02:22:52 UTC
State Changed
From-To: open->analyzed

Will be tested on the next bento 4-exp run
Comment 4 Mathieu Arnold freebsd_committer 2004-03-21 06:08:29 UTC
+-Le 20/03/2004 18:23 -0800, Kris Kennaway a dit :
| Synopsis: [patch] devel/p5-Module-Build should use PERL_MODBUILD but can't
| 
| State-Changed-From-To: open->analyzed
| State-Changed-By: kris
| State-Changed-When: Sat Mar 20 18:22:52 PST 2004
| State-Changed-Why: 
| Will be tested on the next bento 4-exp run
| 
| http://www.freebsd.org/cgi/query-pr.cgi?pr=62422
| 

Just to be sure all is taken, there are two different pieces of patch in
this, and they address two different matters, both are needed :-)

If you need to test this for real on the 4-exp run, you'd want to patch the
ports/devel/p5-Module-Build/Makefile, remove everything after MAN3 until
.include bsd.port.pre and replace PERL_CONFIGURE with PERL_MODBUILD

-- 
Mathieu Arnold
Comment 5 Kris Kennaway freebsd_committer 2004-04-02 08:35:21 UTC
State Changed
From-To: analyzed->closed

Committed, thanks!